#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const _1 = require(".");
async function exec(argv) {
    commander_1.default
        .name('fts')
        .usage('[options] <file.ts>')
        .option('-p, --project <project>', "Path to 'tsconfig.json'.")
        .parse(argv);
    let file;
    if (commander_1.default.args.length === 1) {
        file = commander_1.default.args[0];
    }
    else {
        console.error('invalid arguments');
        commander_1.default.help();
        process.exit(1);
    }
    const definition = await _1.generateDefinition(file);
    console.log(JSON.stringify(definition, null, 2));
}
exports.exec = exec;
exec(process.argv).catch((err) => {
    console.error(err);
    process.exit(1);
});
//# sourceMappingURL=cli.js.map