"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ajv_1 = __importDefault(require("ajv"));
const ava_1 = __importDefault(require("ava"));
const globby_1 = __importDefault(require("globby"));
const path_1 = __importDefault(require("path"));
const _1 = require(".");
// const fixtures = ['./fixtures/http-response.ts']
const fixtures = globby_1.default.sync('./fixtures/**/*.{js,ts}');
const ajv = new ajv_1.default();
for (const fixture of fixtures) {
    const { name } = path_1.default.parse(fixture);
    ava_1.default(name, async (t) => {
        const definition = await _1.generateDefinition(fixture);
        t.truthy(definition);
        t.true(Array.isArray(definition.params.order));
        t.true(ajv.validateSchema(definition.params.schema));
        t.is(ajv.errors, null);
        t.true(ajv.validateSchema(definition.returns.schema));
        t.is(ajv.errors, null);
        // package version updates shouldn't affect snapshots
        delete definition.version;
        t.snapshot(definition);
    });
}
//# sourceMappingURL=parser.test.js.map